/* Right/Left Transitions. Breaked? */
.slide-left-enter-active {
  animation: slideLeftIn 0.5s;
}

.slide-left-leave-active {
  animation: slideLeftOut 0.5s;
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  width: 100%;
}

@keyframes slideLeftIn {
  from {
    transform: translateX(-100%);
  }
  to {
    transform: translateX(0);
  }
}
@keyframes slideLeftOut {
  from {
    transform: translateX(0);
  }
  to {
    transform: translateX(100%);
  }
}

.slide-right-enter-active {
  animation: slideRightIn 0.5s;
}

.slide-right-leave-active {
  animation: slideRightOut 0.5s;
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  width: 100%;
}

@keyframes slideRightIn {
  from {
    transform: translateX(100%);
  }
  to {
    transform: translateX(0);
  }
}
@keyframes slideRightOut {
  from {
    transform: translateX(0);
  }
  to {
    transform: translateX(-100%);
  }
}

/* Caroussel Styles */
.caroussel {
  position: relative;
  overflow: hidden;
  min-height: 60px;
}

.caroussel-nav {
  position: absolute;
  margin-top: -30px;
  top: 50%;
  left: 10px;
  border: 0;
  border-radius: 30px;
  color: #fff;
  width: 60px;
  height: 60px;
  background: rgba(0, 0, 0, 0.6);
  font-size: var(--font-size-lg);
  line-height: 0;
  cursor: pointer;
  transition: background-color 0.2s ease;
}

.caroussel-nav:hover {
  background: var(--dark);
}

.caroussel-next {
  right: 10px;
  left: auto;
}

.caroussel-pagination {
  position: absolute;
  left: 10px;
  right: 10px;
  bottom: 10px;
  text-align: center;
}

.caroussel-pagination button {
  margin: 0 5px;
  padding: 0;
  display: inline-block;
  opacity: 0.8;
  border: 0;
  background: transparent;
  color: #000;
  text-align: center;
  cursor: pointer;
}

.caroussel-pagination button.active {
  color: #fff;
}
